/*
 * Copyright(C) OASIS(R) 2005,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 */
package org.oasisopen.sca;

/**
 * The SCA Constants interface defines a number of constant values
 * that are used in the SCA Java APIs and Annotations.
 */
public interface Constants {

    String SCA_NS = "http://docs.oasis-open.org/ns/opencsa/sca/200912";

    String SCA_PREFIX = "{"+SCA_NS+"}";
    
    String SERVERAUTHENTICATION = SCA_PREFIX + "serverAuthentication";
    String CLIENTAUTHENTICATION = SCA_PREFIX + "clientAuthentication";
    String ATLEASTONCE = SCA_PREFIX + "atLeastOnce";
    String ATMOSTONCE = SCA_PREFIX + "atMostOnce";
    String EXACTLYONCE = SCA_PREFIX + "exactlyOnce";
    String ORDERED = SCA_PREFIX + "ordered";
    String TRANSACTEDONEWAY = SCA_PREFIX + "transactedOneWay";
    String IMMEDIATEONEWAY = SCA_PREFIX + "immediateOneWay";
    String PROPAGATESTRANSACTION = SCA_PREFIX + "propagatesTransaction";
    String SUSPENDSTRANSACTION = SCA_PREFIX + "suspendsTransaction";
    String ASYNCINVOCATION = SCA_PREFIX + "asyncInvocation";
    String SOAP = SCA_PREFIX + "SOAP";
    String JMS = SCA_PREFIX + "JMS";
    String NOLISTENER = SCA_PREFIX + "noListener";
    String EJB = SCA_PREFIX + "EJB";
    
}
